Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Communications Framework (ECF) » [QUESTION] Java SE 5/1.5
[QUESTION] Java SE 5/1.5 [message #593814] Thu, 12 January 2006 17:26 Go to next message
me is currently offline me
Messages: 20
Registered: July 2009
Junior Member
Hello,

Iam running Eclipse inside a Java SE 5.0 VM. If connection
to an ECF-Server that runs on a Java SE 5.0 VM as well, I
am getting the following error message:

Was ECF compiled using Java 2 SE 1.4.x. Could this cause such an
issue? Should I downgrade?

(trace)connection[01/12/06;23:14:28:392]Unexpected exception in
handleAccept...closing
java.io.InvalidClassException: org.eclipse.ecf.core.identity.BaseID;
local class incompatible: stream classdesc serialVersionUID =
5246152214842953183, local class serialVersionUID = -6242599410460002514
at java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.jav a:519)
at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
at
java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1693)
at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
at java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
at java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
at
java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
at java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
at java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
at
java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
at java.io.ObjectInputStream.readObject(ObjectInputStream.java: 339)
at
org.eclipse.ecf.provider.generic.TCPServerSOContainerGroup.h andleAccept(TCPServerSOContainerGroup.java:87)
at org.eclipse.ecf.provider.comm.tcp.Server$2.run(Server.java:8 2)
at java.lang.Thread.run(Thread.java:595)
Re: [QUESTION] Java SE 5/1.5 [message #596536 is a reply to message #593814] Thu, 12 January 2006 19:29 Go to previous messageGo to next message
Jeremy Dowdall is currently offline Jeremy Dowdall
Messages: 48
Registered: July 2009
Member
I've had this (or at least very similar) error when connecting a client
of one ECF version to a server of another ECF version.
It sounds like Scott and the team are (as always :) ) very busy with the
next release, so if you're using code out of cvs it may be out of sync.


Daniel S. Haischt wrote:
> Hello,
>
> Iam running Eclipse inside a Java SE 5.0 VM. If connection
> to an ECF-Server that runs on a Java SE 5.0 VM as well, I
> am getting the following error message:
>
> Was ECF compiled using Java 2 SE 1.4.x. Could this cause such an
> issue? Should I downgrade?
>
> (trace)connection[01/12/06;23:14:28:392]Unexpected exception in
> handleAccept...closing
> java.io.InvalidClassException: org.eclipse.ecf.core.identity.BaseID;
> local class incompatible: stream classdesc serialVersionUID =
> 5246152214842953183, local class serialVersionUID = -6242599410460002514
> at java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.jav a:519)
> at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
> at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
> at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
> at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
> at java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
> at java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
> at
> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1693)
> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
> at java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
> at java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
> at
> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
> at java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
> at java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
> at
> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
> at java.io.ObjectInputStream.readObject(ObjectInputStream.java: 339)
> at
> org.eclipse.ecf.provider.generic.TCPServerSOContainerGroup.h andleAccept(TCPServerSOContainerGroup.java:87)
> at org.eclipse.ecf.provider.comm.tcp.Server$2.run(Server.java:8 2)
> at java.lang.Thread.run(Thread.java:595)
Re: [QUESTION] Java SE 5/1.5 [message #596546 is a reply to message #596536] Thu, 12 January 2006 21:18 Go to previous messageGo to next message
Scott Lewis is currently offline Scott Lewis
Messages: 970
Registered: July 2009
Senior Member
Hello Jeremy and all,

Jeremy Dowdall wrote:
> I've had this (or at least very similar) error when connecting a client
> of one ECF version to a server of another ECF version.
> It sounds like Scott and the team are (as always :) ) very busy with the
> next release, so if you're using code out of cvs it may be out of sync.

Yes. ECF version 0.6.0 is not ready for deploy yet, but it has some
backward-compatibility-breaking changes for both servers and clients.
This is necessary at this point to get some of the things needed for
1.0. I'm very hopeful that making these changes now will make it
unnecessary to have additional breaking changes moving forward...and
beyond 0.6.0 we will try to maintain backward compatibility.

As soon as this weekend (1/12/06) we will be doing the 0.6.0 build and
deploy and updating the code on the ecf.eclipse.org server. So at that
time people will have to use the new clients to speak with the 0.6.0
server...and until that time people will have to use the 0.5.5 clients
to talk with the existing ecf.eclipse.org server.

Thanks. Sorry we can't be more accomodating on this, but we need to get
such changes out of the way now so that we won't have to do this too
many times going forward (hopefully 0 more times).

Scott


This means
>
>
> Daniel S. Haischt wrote:
>
>> Hello,
>>
>> Iam running Eclipse inside a Java SE 5.0 VM. If connection
>> to an ECF-Server that runs on a Java SE 5.0 VM as well, I
>> am getting the following error message:
>>
>> Was ECF compiled using Java 2 SE 1.4.x. Could this cause such an
>> issue? Should I downgrade?
>>
>> (trace)connection[01/12/06;23:14:28:392]Unexpected exception in
>> handleAccept...closing
>> java.io.InvalidClassException: org.eclipse.ecf.core.identity.BaseID;
>> local class incompatible: stream classdesc serialVersionUID =
>> 5246152214842953183, local class serialVersionUID = -6242599410460002514
>> at java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.jav a:519)
>> at
>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>> at
>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>> at
>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>> at
>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>> at
>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>> at
>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>> at
>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1693)
>> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>> at
>> java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
>> at
>> java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
>> at
>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
>> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>> at
>> java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
>> at
>> java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
>> at
>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
>> at java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>> at java.io.ObjectInputStream.readObject(ObjectInputStream.java: 339)
>> at
>> org.eclipse.ecf.provider.generic.TCPServerSOContainerGroup.h andleAccept(TCPServerSOContainerGroup.java:87)
>>
>> at org.eclipse.ecf.provider.comm.tcp.Server$2.run(Server.java:8 2)
>> at java.lang.Thread.run(Thread.java:595)
Re: [QUESTION] Java SE 5/1.5 [message #596589 is a reply to message #596546] Fri, 13 January 2006 05:34 Go to previous message
me is currently offline me
Messages: 20
Registered: July 2009
Junior Member
No problem! I was just wondering what's going on.

Scott Lewis wrote:
> Hello Jeremy and all,
>
> Jeremy Dowdall wrote:
>
>> I've had this (or at least very similar) error when connecting a
>> client of one ECF version to a server of another ECF version.
>> It sounds like Scott and the team are (as always :) ) very busy with
>> the next release, so if you're using code out of cvs it may be out of
>> sync.
>
>
> Yes. ECF version 0.6.0 is not ready for deploy yet, but it has some
> backward-compatibility-breaking changes for both servers and clients.
> This is necessary at this point to get some of the things needed for
> 1.0. I'm very hopeful that making these changes now will make it
> unnecessary to have additional breaking changes moving forward...and
> beyond 0.6.0 we will try to maintain backward compatibility.
>
> As soon as this weekend (1/12/06) we will be doing the 0.6.0 build and
> deploy and updating the code on the ecf.eclipse.org server. So at that
> time people will have to use the new clients to speak with the 0.6.0
> server...and until that time people will have to use the 0.5.5 clients
> to talk with the existing ecf.eclipse.org server.
>
> Thanks. Sorry we can't be more accomodating on this, but we need to get
> such changes out of the way now so that we won't have to do this too
> many times going forward (hopefully 0 more times).
>
> Scott
>
>
> This means
>
>>
>>
>> Daniel S. Haischt wrote:
>>
>>> Hello,
>>>
>>> Iam running Eclipse inside a Java SE 5.0 VM. If connection
>>> to an ECF-Server that runs on a Java SE 5.0 VM as well, I
>>> am getting the following error message:
>>>
>>> Was ECF compiled using Java 2 SE 1.4.x. Could this cause such an
>>> issue? Should I downgrade?
>>>
>>> (trace)connection[01/12/06;23:14:28:392]Unexpected exception in
>>> handleAccept...closing
>>> java.io.InvalidClassException: org.eclipse.ecf.core.identity.BaseID;
>>> local class incompatible: stream classdesc serialVersionUID =
>>> 5246152214842953183, local class serialVersionUID = -6242599410460002514
>>> at
>>> java.io.ObjectStreamClass.initNonProxy(ObjectStreamClass.jav a:519)
>>> at
>>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>>> at
>>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>>> at
>>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>>> at
>>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>>> at
>>> java.io.ObjectInputStream.readNonProxyDesc(ObjectInputStream .java:1546)
>>> at
>>> java.io.ObjectInputStream.readClassDesc(ObjectInputStream.ja va:1460)
>>> at
>>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1693)
>>>
>>> at
>>> java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>>> at
>>> java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
>>> at
>>> java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
>>> at
>>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
>>>
>>> at
>>> java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>>> at
>>> java.io.ObjectInputStream.defaultReadFields(ObjectInputStrea m.java:1912)
>>> at
>>> java.io.ObjectInputStream.readSerialData(ObjectInputStream.j ava:1836)
>>> at
>>> java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStre am.java:1713)
>>>
>>> at
>>> java.io.ObjectInputStream.readObject0(ObjectInputStream.java :1299)
>>> at java.io.ObjectInputStream.readObject(ObjectInputStream.java: 339)
>>> at
>>> org.eclipse.ecf.provider.generic.TCPServerSOContainerGroup.h andleAccept(TCPServerSOContainerGroup.java:87)
>>>
>>> at org.eclipse.ecf.provider.comm.tcp.Server$2.run(Server.java:8 2)
>>> at java.lang.Thread.run(Thread.java:595)
Previous Topic:[QUESTION] Zeroconf. How?
Next Topic:[QUESTION] ECF IRC-Channel
Goto Forum:
  


Current Time: Wed Aug 27 23:18:49 EDT 2014

Powered by FUDForum. Page generated in 0.04077 seconds